Contrail-Analytics and Contrail-Analytics-DB VM deployment failing

Bug #1769323 reported by kashif nawaz on 2018-05-05
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Juniper Openstack
Status tracked in Trunk
R4.1
Invalid
High
kashif nawaz
R5.0
Invalid
High
Arvind
Trunk
Invalid
High
Arvind

Bug Description

while installing OSDP10 + contrail 4.1 , contrail-analytics and contrail-analytics-DB is failing to due to java dependency. But I am able to successfully deploy contrail-controller and overcloud-controller.

stack@undercloud ~]$ openstack stack failures list overcloud
overcloud.AllNodesDeploySteps.ContrailAnalyticsDatabaseDeployment_Step2.0:
  resource_type: OS::Heat::StructuredDeployment
  physical_resource_id: 6665fb5e-08dc-4aef-b0ec-28c739c2c0dc
  status: CREATE_FAILED
  status_reason: |
    Error: resources[0]: Deployment to server failed: deploy_status_code : Deployment exited with non-zero status code: 6
  deploy_stdout: |
    ...
    Notice: /Stage[main]/Contrail::Analyticsdatabase::Config/File_line[set kafka num.partitions=1]: Dependency Package[java-1.8.0-openjdk] has failures: true
    Notice: /Stage[main]/Contrail::Analyticsdatabase::Config/File_line[set kafka num.recovery.threads.per.data.dir=1]: Dependency Package[java-1.8.0-openjdk] has failures: true
    Notice: /Stage[main]/Contrail::Analyticsdatabase::Config/File_line[set kafka log.cleanup.policy=delete]: Dependency Package[java-1.8.0-openjdk] has failures: true
    Notice: /Stage[main]/Contrail::Analyticsdatabase::Config/File_line[set kafka default.replication.factor=]: Dependency Package[java-1.8.0-openjdk] has failures: true
    Notice: /Stage[main]/Contrail::Analyticsdatabase::Config/File_line[add zookeeper servers to kafka config]: Dependency Package[java-1.8.0-openjdk] has failures: true
    Notice: /Stage[main]/Contrail::Analyticsdatabase::Config/File_line[set kafka advertised.host.name]: Dependency Package[java-1.8.0-openjdk] has failures: true
    Notice: /Stage[main]/Contrail::Analyticsdatabase::Service/Service[supervisor-database]: Dependency Package[java-1.8.0-openjdk] has failures: true
    Notice: /Stage[main]/Contrail::Analyticsdatabase::Service/Service[contrail-database]: Dependency Package[java-1.8.0-openjdk] has failures: true
    Notice: /File[/etc/localtime]/seltype: seltype changed 'locale_t' to 'etc_t'
    Notice: Finished catalog run in 380.16 seconds
    (truncated, view all with --long)
  deploy_stderr: |
    ...
    Warning: /Stage[main]/Contrail::Analyticsdatabase::Config/File_line[set kafka log.cleaner.threads=2]: Skipping because of failed dependencies
    Warning: /Stage[main]/Cassandra/File[/var/lib/cassandra/hints]: Skipping because of failed dependencies
    Warning: /Stage[main]/Contrail::Analyticsdatabase::Config/File_line[set kafka num.partitions=1]: Skipping because of failed dependencies
    Warning: /Stage[main]/Contrail::Analyticsdatabase::Config/File_line[set kafka num.recovery.threads.per.data.dir=1]: Skipping because of failed dependencies
    Warning: /Stage[main]/Contrail::Analyticsdatabase::Config/File_line[set kafka log.cleanup.policy=delete]: Skipping because of failed dependencies
    Warning: /Stage[main]/Contrail::Analyticsdatabase::Config/File_line[set kafka default.replication.factor=]: Skipping because of failed dependencies
    Warning: /Stage[main]/Contrail::Analyticsdatabase::Config/File_line[add zookeeper servers to kafka config]: Skipping because of failed dependencies
    Warning: /Stage[main]/Contrail::Analyticsdatabase::Config/File_line[set kafka advertised.host.name]: Skipping because of failed dependencies
    Warning: /Stage[main]/Contrail::Analyticsdatabase::Service/Service[supervisor-database]: Skipping because of failed dependencies
    Warning: /Stage[main]/Contrail::Analyticsdatabase::Service/Service[contrail-database]: Skipping because of failed dependencies

kashif nawaz (knawaz) on 2018-05-05
information type: Proprietary → Public
Jeba Paulaiyan (jebap) on 2018-05-07
tags: added: analytics
kashif nawaz (knawaz) wrote :

can I get any update please.

Arvind (arvindv) wrote :

Kashif,
can you let us know the java versions u have in the system. Make sure the build versions of the java also match. we have tested with OSD 10 as well and Kafka comes up fine. Here is a list of command and let us know the difference u observe. The commands have to be tried on contrailanalyticsdatabase container.

1) /usr/sbin/alternatives --config java
2) rpm -qa | grep kafka

Expected output:
root@overcloud-contrailanalyticsdatabase-0 heat-admin]# /usr/sbin/alternatives --config java

There are 2 programs which provide ‘java’.

 Selection Command
-----------------------------------------------
*+ 1 java-1.8.0-openjdk.x86_64 (/usr/lib/jvm/java-1.8.0-openjdk-1.8.0.151-5.b12.el7_4.x86_64/jre/bin/java)
  2 java-1.7.0-openjdk.x86_64 (/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.181-2.6.14.8.el7_5.x86_64/jre/bin/java)

Sundaresan Rajangam (srajanga) wrote :

[Adding update from Kashif]
Hi Team;

Thanks for your response, the issue is fixed. I guess I was missing the puppet module. Once I re-loaded the puppet module and re-installed contrail packages by following the instruction given in below link then deployment went successful.

https://www.juniper.net/documentation/en_US/contrail4.1/topics/concept/deploy-rhospd10.html

Packages and puppet version when deployment went successful.

[root@undercloud ~]# rpm -qa | grep -i contrail contrail-tripleo-puppet-4.1.0.0-8.el7.noarch
contrail-tripleo-heat-templates-4.1.0.0-8.el7.noarch
puppet-contrail-4.1.0.0-8.el7.noarch

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers